pcl::gpu::kinfuLS::TsdfVolume::Header Struct Reference

Structure storing voxel grid resolution, volume size (in mm) and element_size of data stored on host. More...

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/kinfu_large_scale/include/pcl/gpu/kinfu_large_scale/tsdf_volume.h>`

## Public Member Functions

| Header ()
| Header (const Eigen::Vector3i &res, const Eigen::Vector3f &size)
std::size_t | getVolumeSize () const
| Get the size of data stored on host. More...

## Public Attributes

Eigen::Vector3i | resolution
Eigen::Vector3f | volume_size
int | volume_element_size
int | weights_element_size

## Friends

std::ostream & | operator<< (std::ostream &os, const Header &h)

## Detailed Description

Structure storing voxel grid resolution, volume size (in mm) and element_size of data stored on host.

Definition at line 72 of file tsdf_volume.h.

## Constructor & Destructor Documentation

## Header() [1/2]

pcl::gpu::kinfuLS::TsdfVolume::Header::Header | ( |  | ) |

inline

Definition at line 78 of file tsdf_volume.h.

## Header() [2/2]

pcl::gpu::kinfuLS::TsdfVolume::Header::Header | ( | const Eigen::Vector3i & | res,
|  | const Eigen::Vector3f & | size
| ) |  |

inline

Definition at line 85 of file tsdf_volume.h.

## Member Function Documentation

## getVolumeSize()

std::size_t pcl::gpu::kinfuLS::TsdfVolume::Header::getVolumeSize | ( |  | ) | const

inline

Get the size of data stored on host.

Definition at line 94 of file tsdf_volume.h.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Header & | h
| ) |  |

friend

Definition at line 97 of file tsdf_volume.h.

## Member Data Documentation

## resolution

Eigen::Vector3i pcl::gpu::kinfuLS::TsdfVolume::Header::resolution

Definition at line 74 of file tsdf_volume.h.

## volume_element_size

int pcl::gpu::kinfuLS::TsdfVolume::Header::volume_element_size

Definition at line 76 of file tsdf_volume.h.

## volume_size

Eigen::Vector3f pcl::gpu::kinfuLS::TsdfVolume::Header::volume_size

Definition at line 75 of file tsdf_volume.h.

## weights_element_size

int pcl::gpu::kinfuLS::TsdfVolume::Header::weights_element_size

Definition at line 76 of file tsdf_volume.h.

The documentation for this struct was generated from the following file:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/kinfu_large_scale/include/pcl/gpu/kinfu_large_scale/tsdf_volume.h